Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbIndexElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbIndexElement

    public class JaxbIndexElement

extends Object

Java class for index-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="index-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="length" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<JaxbColumnElement>` | `column`
`protected String` | `columnAttribute`
`protected String` | `length`
`protected String` | `type`

Constructor Summary
`JaxbIndexElement()`

Method Summary
`List<JaxbColumnElement>` | `getColumn()` Gets the value of the column property.
`String` | `getColumnAttribute()` Gets the value of the columnAttribute property.
`String` | `getLength()` Gets the value of the length property.
`String` | `getType()` Gets the value of the type property.
`void` | `setColumnAttribute(String value)` Sets the value of the columnAttribute property.
`void` | `setLength(String value)` Sets the value of the length property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### column

    protected List<JaxbColumnElement> column

### columnAttribute

    protected String columnAttribute

### length

    protected String length

### type

    protected String type

Constructor Detail

### JaxbIndexElement

    public JaxbIndexElement()

Method Detail

### getColumn

    public List<JaxbColumnElement> getColumn()

  Gets the value of the column property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the column property.

  For example, to add a new item, do as follows:

          getColumn().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbColumnElement`

### getColumnAttribute

    public String getColumnAttribute()

  Gets the value of the columnAttribute property.

  Returns:
    possible object is `String`

### setColumnAttribute

    public void setColumnAttribute(String value)

  Sets the value of the columnAttribute property.

  Parameters:
    `value` - allowed object is `String`

### getLength

    public String getLength()

  Gets the value of the length property.

  Returns:
    possible object is `String`

### setLength

    public void setLength(String value)

  Sets the value of the length property.

  Parameters:
    `value` - allowed object is `String`

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.